Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.authentication
Class UserLockoutManagerImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.authentication.UserLockoutManagerImpl

public class UserLockoutManagerImpl
extends BaseMBeanImpl

The base class of all authentication provider mbean implementations that wish to manage user lockout through the weblogic console.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `UserLockoutManagerImpl(ModelMBean base)`
`protected` | `UserLockoutManagerImpl(RequiredModelMBean base)`

Method Summary
`void` | `clearLockout(String userName)`
`long` | `getInvalidLoginAttemptsTotalCount()`
`long` | `getInvalidLoginUsersHighCount()`
`long` | `getLastLoginFailure(String userName)`
`long` | `getLockedUsersCurrentCount()`
`long` | `getLoginAttemptsWhileLockedTotalCount()`
`long` | `getLoginFailureCount(String userName)`
`RealmMBean` | `getRealm()`
`long` | `getUnlockedUsersTotalCount()`
`long` | `getUserLockoutTotalCount()`
`boolean` | `isLockedOut(String userName)`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserLockoutManagerImpl

    public UserLockoutManagerImpl(ModelMBean base)
                           throws MBeanException

### UserLockoutManagerImpl

    protected UserLockoutManagerImpl(RequiredModelMBean base)
                              throws MBeanException

Method Detail

### clearLockout

    public void clearLockout(String userName)
                      throws MBeanException

  Throws:
    `MBeanException`

### getInvalidLoginAttemptsTotalCount

    public long getInvalidLoginAttemptsTotalCount()
                                           throws MBeanException

  Throws:
    `MBeanException`

### getInvalidLoginUsersHighCount

    public long getInvalidLoginUsersHighCount()
                                       throws MBeanException

  Throws:
    `MBeanException`

### getLastLoginFailure

    public long getLastLoginFailure(String userName)
                             throws MBeanException

  Throws:
    `MBeanException`

### getLockedUsersCurrentCount

    public long getLockedUsersCurrentCount()
                                    throws MBeanException

  Throws:
    `MBeanException`

### getLoginAttemptsWhileLockedTotalCount

    public long getLoginAttemptsWhileLockedTotalCount()
                                               throws MBeanException

  Throws:
    `MBeanException`

### getLoginFailureCount

    public long getLoginFailureCount(String userName)
                              throws MBeanException

  Throws:
    `MBeanException`

### getRealm

    public RealmMBean getRealm()

### getUnlockedUsersTotalCount

    public long getUnlockedUsersTotalCount()
                                    throws MBeanException

  Throws:
    `MBeanException`

### getUserLockoutTotalCount

    public long getUserLockoutTotalCount()
                                  throws MBeanException

  Throws:
    `MBeanException`

### isLockedOut

    public boolean isLockedOut(String userName)
                        throws MBeanException

  Throws:
    `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD